JsonCpp project page | Classes | Namespace | JsonCpp home page

Classes | Namespaces | Macros | Enumerations | Functions
value.h File Reference
`#include "forwards.h"`
`#include <array>`
`#include <exception>`
`#include <map>`
`#include <memory>`
`#include <string>`
`#include <vector>`
Include dependency graph for value.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Json::Exception
| Base class for all exceptions we throw. More...
class | Json::RuntimeError
| Exceptions which the user cannot easily avoid. More...
class | Json::LogicError
| Exceptions thrown by JSON_ASSERT/JSON_FAIL macros. More...
class | Json::StaticString
| Lightweight wrapper to tag static string. More...
class | Json::Value
| Represents a JSON value. More...
class | Json::PathArgument
| Experimental and untested: represents an element of the "path" to access a node. More...
class | Json::Path
| Experimental and untested: represents a "path" to access a node. More...
class | Json::ValueIteratorBase
| base class for Value iterators. More...
class | Json::ValueConstIterator
| const iterator for object and array value. More...
class | Json::ValueIterator
| Iterator for object and array value. More...

## Namespaces
namespace | Json
| JSON (JavaScript Object Notation).

## Macros
#define | JSONCPP_NORETURN __declspec(noreturn)
#define | JSONCPP_TEMPLATE_DELETE = delete

## Enumerations
enum | Json::ValueType { Json::nullValue = 0 , Json::intValue , Json::uintValue , Json::realValue , Json::stringValue , Json::booleanValue , Json::arrayValue , Json::objectValue }
| Type of the value held by a Value object. More...
enum | Json::CommentPlacement { Json::commentBefore = 0 , Json::commentAfterOnSameLine , Json::commentAfter , Json::numberOfCommentPlacement }
enum | Json::PrecisionType { Json::significantDigits = 0 , Json::decimalPlaces }
| Type of precision for formatting of real values. More...

## Functions
| Json::__declspec (noreturn) void throwRuntimeError(String const &msg)
| used internally
void | Json::swap (Value &a, Value &b)

## Macro Definition Documentation

## ◆ JSONCPP_NORETURN

#define JSONCPP_NORETURN __declspec(noreturn)

Definition at line 18 of file value.h.

## ◆ JSONCPP_TEMPLATE_DELETE

#define JSONCPP_TEMPLATE_DELETE = delete

Definition at line 38 of file value.h.